SLSTATS(8)

NAME
slstats - report slip statistics

SYNOPSIS
slstats [-M core] [-N system] [-v] [-i interval] [unit-number]

DESCRIPTION

The slstats utility reports slip-related statistics for the sl‘ unit-number ’ interface. If the unit-number is unspecified, it defaults to 0. These statistics are displayed at regular intervals.

The display is split horizontally into input and output sections containing columns of statistics describing the properties and volume of packets received and transmitted by the specified interface.

The first report will consist of a snapshot of the interface's present statistics. All further output will describe activity between report intervals.

The options are as follows:

-v  Display additional statistics demonstrating the efficacy of VJ header compression and providing more explicit information on failure distribution.

-i  Specifies the interval between reports. The default interval is 5 seconds.

-M core
    Extract values associated with the name list from the specified.

-N system
    Extract the name list from the specified system instead of the default /netbsd.

The following fields are printed on the input side:

IN  The total number of bytes received by this interface.

PACK
    The total number of packets received by this interface.

COMP
    The number of compressed TCP packets received by this interface.

UNCOMP
    The number of uncompressed TCP packets received by this interface.

ERR The number of packets received by this interface of unknown type.

TOSS
    The number of packets dropped on reception by this interface. Only reported when the -v option is specified.

IP  The total number of non-TCP packets received by this interface. Only reported when the -v option is specified.

The following fields are printed on the output side:

OUT The total number of bytes transmitted from this interface.

PACK
    The total number of packets transmitted from this interface.

COMP
    The number of TCP packets compressed and then transmitted from this interface.

UNCOMP
    The number of uncompressed TCP packets transmitted from this interface.

IP  The total number of non-TCP packets transmitted from this interface.

SEARCH
    The number of searches for the cached header entry for a compressed packet. Only reported when the -v option is specified.

MISS
    The number of failed searches for the cached header entry for a compressed packet. Only reported when the -v option is specified.

BUGS
Should take an interface name and not a unit number.

SEE ALSO
sl(4), sliplogin(8).